For the complete documentation index, see llms.txt. This page is also available as Markdown.

FolderExclusion

Get

get

Retrieve FSLogix Profile Container Folder Exclusion List of a session server with the specified ID.

Path parameters
idinteger · int32Required

The ID of a session server for which to retrieve the FSLogix Profile Container settings.

Responses
200

Success

application/json; api-version=1.0
string[]Optional
get/api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion
GET /api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion HTTP/1.1
Accept: */*
[
  "text"
]

Add

post

Add a folder to the Folder Exclusion List of the FSLogix Profile Container settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the FSLogix Profile Container settings.

Body

Add FSLogix Folder Exclusion

folderstring · min: 1 · max: 255 · nullableRequired

Specifies the 'Folder' path to add to the Include/Exclude Folder List.

excludeFolderCopystring[Flag] · enumOptional

Exclude Folder Copy values.

Possible values:
Responses
201

Created

No content

post/api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion
POST /api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 80

{
  "folder": "text",
  "excludeFolderCopy": [
    "0 = None",
    "1 = CopyBase",
    "2 = CopyBack"
  ]
}

No content

Update

put

Modify an item in the folder exclusion list of the FSLogix Profile Container settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the FSLogix Profile Container settings.

Body

Change folder configuration in the FSLogix folder exclusion list

folderstring · min: 1 · max: 255 · nullableRequired

Specifies the 'Folder' path to modify within Exclude Folder List.

excludeFolderCopystring[Flag] · enumRequired

Exclude Folder Copy values.

Possible values:
Responses
201

Created

No content

put/api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion
PUT /api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 80

{
  "folder": "text",
  "excludeFolderCopy": [
    "0 = None",
    "1 = CopyBase",
    "2 = CopyBack"
  ]
}

No content

Delete

delete

Remove a folder from the Folder Exclusion List of the FSLogix Profile Container settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the FSLogix Profile Container settings.

Body

Remove a folder from the FSLogix folder inclusion list

folderstring · min: 1 · max: 255 · nullableRequired

Specifies the 'Folder' path to remove to the Include/Exclude Folder List.

Responses
204

No Content

No content

delete/api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion
DELETE /api/RDS/Host/{id}/FSLogix/ProfileContainer/FolderExclusion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 17

{
  "folder": "text"
}

No content